import sys
import redis

# 获取命令行参数
if len(sys.argv) < 5:
    print("Usage: python redis-cli.py <ip> <port> <db> <passwd> <command>")
    sys.exit(1)

ip = sys.argv[1]
port = int(sys.argv[2])
db = int(sys.argv[3])
passwd = sys.argv[4]
command = sys.argv[5]

# 连接到redis
r = redis.Redis(host=ip, port=port, db=db, password=passwd)

# 执行指定的命令
result = r.execute_command(command)

# 返回执行结果
print(result)
