from text2vec import Similarity, EncoderType

sim_model = Similarity(model_name_or_path='shibing624/text2vec-base-chinese',
                       encoder_type=EncoderType.CLS)


def ai_text(sentence1, sentence2):
    score = sim_model.get_score(sentence1, sentence2)
    print("{} \t\t {} \t\t Score: {:.4f}".format(sentence1, sentence2, score))

    return score


if __name__ == '__main__':
    ai_text("有战争的梦", "#梦记\n梅林，魔法的世界，一个人打巨狼")
    ai_text("有战争的梦", "2023年08月04日 战争 逃离\n梦里发生了战争，拿着必要物品，背着迁徙，和金津，人群里还有宇佳。\n我被炸弹炸了好几回，着急赶路，似乎要去山上躲避战乱生存。\n #梦记")
