#!/bin/bash

# 定义.zshrc文件路径
ZSHRC="$HOME/.zshrc"

# 检查是否存在KUBECONFIG行
if grep -q "export KUBECONFIG" $ZSHRC; then
    # 存在，检查是否被注释
    if grep -q "^#export KUBECONFIG" $ZSHRC; then
        # 是注释状态，去掉注释
        sed -i '' '/^#export KUBECONFIG/s/^#//' $ZSHRC
    else
        # 不是注释状态，加上注释
        sed -i '' '/^export KUBECONFIG/s/^/#/' $ZSHRC
    fi
else
    echo "export KUBECONFIG行不存在"
fi