import base64


def file_to_base64(filename):
    # 文件转base64
    with open(filename, "rb") as file:
        return base64.b64encode(file.read()).decode()


def base64_to_file(base64_str, filename):
    # base64转文件
    with open(filename, "wb") as file:
        file.write(base64.b64decode(base64_str))


# 使用示例
fileStr = file_to_base64("/Users/alvin/Downloads/太原华远餐饮管理有限公司-山西小企业会计准则会计报表(展示)-202212.pdf")


def exec(obj):
    import base64
    import io
    import csv
    # 解析里面的file，把list存入obj
    base64_file = obj.get("file")
    if base64_file is not None:
        base64_bytes = base64_file.encode()
        decoded_bytes = base64.b64decode(base64_bytes)
        file_like = io.StringIO(decoded_bytes.decode())
        reader = csv.reader(file_like)
        csv_list = list(reader)
        obj['list'] = csv_list
    return obj


print(fileStr)
